<!DOCTYPE html>
<html>

<head>
    <title>Application Details</title>
    <style>
        body {
            font-family: Arial, sans-serif;
        }

        .container {
            padding: 20px;
        }

        .card {
            border: 1px solid #ddd;
            padding: 15px;
            margin-bottom: 20px;
        }

        h4 {
            margin-top: 20px;
        }
    </style>
</head>

<body>
    <div class="container">
        <h1>Application Details</h1>
        <div class="card">
            <h4>Personal Information</h4>
            <p><strong>First Name:</strong> <?php echo e($application->first_name); ?></p>
            <p><strong>Last Name:</strong> <?php echo e($application->last_name); ?></p>
            <p><strong>Middle Name:</strong> <?php echo e($application->middle_name); ?></p>
            <p><strong>Suffix:</strong> <?php echo e($application->suffix); ?></p>
            <p><strong>Sex:</strong> <?php echo e($application->sex); ?></p>
            <p><strong>Religion:</strong> <?php echo e($application->religion); ?></p>
            <p><strong>Birth Date:</strong> <?php echo e($application->birth_date); ?></p>
            <p><strong>Birth Place:</strong> <?php echo e($application->birth_place); ?></p>
            <p><strong>Email:</strong> <?php echo e($application->email); ?></p>
            <p><strong>Phone Number:</strong> <?php echo e($application->phone_no); ?></p>
            <p><strong>Home Address:</strong> <?php echo e($application->home_address); ?></p>
            <p><strong>City:</strong> <?php echo e($application->city); ?></p>
            <p><strong>Province:</strong> <?php echo e($application->province); ?></p>
            <p><strong>Region:</strong> <?php echo e($application->region); ?></p>
            <p><strong>Education:</strong> <?php echo e($application->education); ?></p>
            <p><strong>Degree:</strong> <?php echo e($application->degree); ?></p>
            <p><strong>Tesda:</strong> <?php echo e($application->tesda); ?></p>
            <p><strong>Employment Status:</strong> <?php echo e($application->employment_status); ?></p>
            <p>
                <strong>
                    What's the most difficult situation in your life and how did you overcome it?
                    <br>
                    Ano ang pinakamahirap na sitwasyon sa iyong buhay at paano mo ito nalampasan?:
                </strong>
                <br>
                Answer: <?php echo e($application->question_1); ?>

            </p>
            <p>
                <strong>
                    Why should we choose you amongst other candidates?
                    <br>
                    Bakit ka namin pipiliin sa iba pang mga kandidato?:
                </strong>
                <br>
                Answer: <?php echo e($application->question_2); ?>

            </p>
            <p>
                <strong>
                    Are you willing to commute and/or relocate in the assigned area?
                    <br>
                    Handa ka bang mag-commute at/o lumipat sa nakatalagang lugar?:
                </strong>
                <br>
                Answer: <?php echo e($application->question_3); ?>

            </p>
        </div>
        <h4>Work Experiences</h4>
        <?php $__currentLoopData = $application->workExperiences; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $experience): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <div>
            <p><strong>Company Name:</strong> <?php echo e($experience->company_name); ?></p>
            <p><strong>Job Title:</strong> <?php echo e($experience->job_title); ?></p>
            <p><strong>Start Date:</strong> <?php echo e($experience->start_date); ?></p>
            <p><strong>End Date:</strong> <?php echo e($experience->end_date); ?></p>
        </div>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </div>
</body>

</html><?php /**PATH D:\Markeh\Websites\betacom\resources\views/backend/application/print.blade.php ENDPATH**/ ?>